求助!悲剧更新

系统安装、升级讨论
回复
头像
Beanz
帖子: 53
注册时间: 2009-03-27 8:11
送出感谢: 0
接收感谢: 0

求助!悲剧更新

#1

帖子 Beanz » 2011-01-11 12:20

昨天晚上发现一大堆有关cups的更新,然而在安装过程中,卡在了cups上,一直都不动,等了大概有30分钟,还是没有反应,硬盘灯也不亮,时间很晚了,所以就kill了更新进程,今天,它主动提示更新没有完成,然后,又卡住了 :em20
结果,我又无奈的kill了它 :em06 ,唉,看来人是要对自己的行为负责的……
从网上查的一个解决办法,结果……

代码: 全选

sudo dpkg --remove --force-remove-reinstreq cups
dpkg: dependency problems prevent removal of cups:
 hplip depends on cups (>= 1.1.20).
 ghostscript-cups depends on cups.
 foomatic-db-compressed-ppds depends on cups.
 ubuntu-desktop depends on cups.
 bluez-cups depends on cups.
 splix depends on cups.
 cups-driver-gutenprint depends on cups (>= 1.3.0).
 foo2zjs depends on cups.
 pxljr depends on cups.
dpkg: error processing cups (--remove):
 dependency problems - not removing
Errors were encountered while processing:
 cups
:em19
Distribution Upgrade又提示:
The package 'cups' is in an inconsistent state and needs to be reinstalled, but no archive can be found for it. Please reinstall the package manually or remove it from the system.
我该怎么办呐?@!
/var/cache/apt/archives$ sudo dpkg -i cups_1.4.4-6ubuntu2.3_i386.deb
Selecting previously deselected package cups.
(Reading database ... 232752 files and directories currently installed.)
Preparing to replace cups 1.4.4-6ubuntu2.2 (using cups_1.4.4-6ubuntu2.3_i386.deb) ...
它就是卡在这里的
DELL 1310
Intel Core2 T5670+1G Memory+160G Hard Disk+Intel X3100
Ubuntu Only!
头像
Beanz
帖子: 53
注册时间: 2009-03-27 8:11
送出感谢: 0
接收感谢: 0

Re: 求助!悲剧更新

#2

帖子 Beanz » 2011-01-11 18:39

:em95 看来大虾们都很忙呀!
没关系,我还有一个绝招————————————重装系统! :em06
DELL 1310
Intel Core2 T5670+1G Memory+160G Hard Disk+Intel X3100
Ubuntu Only!
glocklee
帖子: 53
注册时间: 2006-10-21 8:05
送出感谢: 0
接收感谢: 0

Re: 求助!悲剧更新

#3

帖子 glocklee » 2011-01-16 0:20

我也重装了。。。
头像
qq420100523
帖子: 1682
注册时间: 2009-07-31 18:56
系统: windows、ubuntu
来自: 广东阳江
送出感谢: 10 次
接收感谢: 20 次

Re: 求助!悲剧更新

#4

帖子 qq420100523 » 2011-01-16 10:18

学会备份嘛,我的备份救了我不少次!在Win下我备份是怕病毒,在Linux备份是怕安装错软件,自已搞不好!
头像
cnkilior
论坛版主
帖子: 4979
注册时间: 2007-08-05 17:40
送出感谢: 0
接收感谢: 5 次

Re: 求助!悲剧更新

#5

帖子 cnkilior » 2011-01-16 10:32

weiyizhou2011
帖子: 1
注册时间: 2011-02-12 13:53
送出感谢: 0
接收感谢: 0

Re: 求助!悲剧更新

#6

帖子 weiyizhou2011 » 2011-02-12 13:56

你在终端 中 输入 :sudo start cups
头像
hcym
帖子: 15634
注册时间: 2007-05-06 2:46
送出感谢: 0
接收感谢: 2 次

Re: 求助!悲剧更新

#7

帖子 hcym » 2011-02-12 14:01

no cups
:em04
وإذا كان هذا لا يحصل أكثر من 100 ملاحظات ، انا ذاهب الى غضب
头像
lainme
论坛版主
帖子: 7805
注册时间: 2008-09-13 19:17
系统: Arch Linux (x86_64)
送出感谢: 3 次
接收感谢: 68 次
联系:

Re: 求助!悲剧更新

#8

帖子 lainme » 2011-02-12 14:05

我建议用aptitude,而不是dpkg

sudo aptitude purge cpus

先删除?

这种问题用不着重装,昨天我遇到了更恶劣的,差点删光/usr/share。没有重装gconf,就试图重装其他的,结果一堆post-install错误。还是5L的方法管用
rediscover
帖子: 3173
注册时间: 2010-01-13 23:26
送出感谢: 0
接收感谢: 12 次

Re: 求助!悲剧更新

#10

帖子 rediscover » 2011-02-23 3:38

photor 写了:
cnkilior 写了:看看这个?
:em09
这个也有副作用的,博主的暴力手段最好还是不要用,眼下这个问题可以用aptitude来处理。
Here I am.
Ubuntu 桌面培训 - 全中文官方文档,含汉化截图,提供PDF
头像
nmsfan
帖子: 18958
注册时间: 2009-10-16 22:46
来自: finland
送出感谢: 16 次
接收感谢: 36 次

Re: 求助!悲剧更新

#11

帖子 nmsfan » 2011-02-23 9:19

cnkilior 写了:看看这个?
好厉害的方法~~~~~~~~
>>>>推Ubuntu 桌面培训~~<<<<
>>>>想加入/了解gimp汉化吗,点我吧~<<<<
——————————————————————
不推荐wubi,也不推荐你给别人推荐wubi…………
随心而为的感觉真好……
强推mayhem!!
强推ensiferum
头像
Beanz
帖子: 53
注册时间: 2009-03-27 8:11
送出感谢: 0
接收感谢: 0

Re: 求助!悲剧更新

#12

帖子 Beanz » 2011-02-24 21:44

我重装了。然后那个cups一直没敢更新,前几天刚试了一下,发现没有问题 :em06
这里顺便说一下,重装系统,用U盘的话相当快,而且,只要不格式化/home,对我这样的菜鸟来讲剩下的就是装几个软件而已。 :em09
DELL 1310
Intel Core2 T5670+1G Memory+160G Hard Disk+Intel X3100
Ubuntu Only!
回复

回到 “系统安装和升级”